[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[Linux-cluster] f11 3.0.3 cluster not compatible with kernel 2.6.30?



Just updated my F11 x86_64 and now cman doesn't work anymore.
Previous version cman-3.0.2-1.fc11.x86_64, updated with cman-3.0.3-1.fc11.x86_64

But now I get in cman start:
[root r]# service cman start
Starting cluster:
   Global setup...                                         [  OK  ]
   Loading kernel modules...                               [  OK  ]
   Mounting configfs...                                    [  OK  ]
   Setting network parameters... FATAL: Module lock_dlm not found.
                                                           [FAILED]

Any clue?
In my F11 kernel 2.6.30.8-64.fc11.x86_64 I have not at all a module named lock_dlm....
and in cman init script satrt section there is this function
load_kernel_modules()
{
        errmsg=$( modprobe configfs 2>&1 ) || return 1
        errmsg=$( modprobe dlm 2>&1 ) || return 1
        errmsg=$( modprobe lock_dlm 2>&1 ) || true
}

I see between release notes of 3.0.3 that kernel 2.6.31 is required... I don't know if 2.6.30 shipped with F11 is backward compatible with this sort of kernel...

Help, please...
Gianluca


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]